[uwsgi]
############################
### Generic UWSGI config ###
############################

# Override the default size for headers from the 4k default.
buffer-size = 65535

# This avoids error 104: "Connection reset by peer"
rem-header = Content-Length

# This is running standalone
master = true

# Threads and processes
enable-threads = true

processes = 4

# uwsgi recommends this to prevent thundering herd on accept.
thunder-lock = true

plugins = python3

# This ensures that file descriptors aren't shared between the WSGI application processes.
lazy-apps = true

# Log from the wsgi application: needs python3-pastescript as runtime depends.
paste-logger = true

# automatically kill workers if master dies
no-orphans = true

# exit instead of brutal reload on SIGTERM
die-on-term = true

##################################
### OpenStack service specific ###
##################################
add-header = Connection: close

# This is the standard port for the WSGI application, listening on all available IPs
logto = /var/log/freezer/freezer-api.log
name = freezer-api
uid = freezer
gid = freezer
chdir = /var/lib/freezer
wsgi-file = /usr/bin/freezer-api-wsgi

# This is controled by the init script using the --http-socket
# or using the --https thing. https will be activated if a file
# /etc/freezer/ssl/private/*.pem is found. In both case, port 9292
# on all IPs will be used.
# The partern to search for the private key file is:
# find /etc/freezer/ssl/private -type f -iname '*.pem' | head -n 1
# and for the certificate:
# find /etc/freezer/ssl/private -type f -iname '*.crt' | head -n 1
# just drop files there and restart the daemon, and you'll have
# SSL up and running.
#http-socket = :9090
#https-socket = 0.0.0.0:9090,foobar.crt,foobar.key
